#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x6951a575, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0xc7393d95, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x43e5a7c0, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0xe9f79362, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0xb3d1e720, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x41f729fd, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xf39c040b, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x193c3c08, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0x5d728e82, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x1e6e0511, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0x5c0f576c, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x6cb9dbaf, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6626afca, "down" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcf2a6966, "up" },
	{ 0x037a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa97dfea7, "kmem_cache_free" },
	{ 0x8f4153e1, "kmem_cache_destroy" },
	{ 0xb3d5e8ad, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x5f4279ea, "cdev_init" },
	{ 0x70f4217f, "cdev_add" },
	{ 0x99089089, "kmalloc_caches" },
	{ 0x9e40d1c8, "__kmalloc_cache_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb4c27b6c, "kmem_cache_alloc_noprof" },
	{ 0x9deb9a38, "pci_bus_type" },
	{ 0x783f8a62, "pci_save_state" },
	{ 0xb4c9a5b3, "pci_disable_msi" },
	{ 0x5c507e56, "pci_disable_msix" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf03063e0, "const_current_task" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x59ba7a3d, "address_space_init_once" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x53b954a2, "up_read" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x285f7acf, "pci_stop_and_remove_bus_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x668b19a1, "down_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6082e96e, "dma_set_mask" },
	{ 0x7149fc23, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xedc03953, "iounmap" },
	{ 0x4bd2ae42, "__kmem_cache_create_args" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0xccc46fc3, "hv_get_isolation_type" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a6aa29a, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x111c05d9, "fget" },
	{ 0x99bfe110, "fput" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x343fe51c, "iterate_fd" },
	{ 0x605343b3, "acpi_gbl_FADT" },
	{ 0x038bfb01, "iov_iter_kvec" },
	{ 0x7e64e0fe, "seq_read_iter" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x77358855, "iomem_resource" },
	{ 0x409fd6a0, "device_property_read_u64_array" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x754d539c, "strlen" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc63d1cde, "param_ops_charp" },
	{ 0x4f7c6199, "pci_clear_master" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa706d442, "pci_enable_device" },
	{ 0x6640b00c, "pci_find_capability" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb9323c90, "pci_rebar_get_possible_sizes" },
	{ 0xfce91a41, "pci_find_host_bridge" },
	{ 0x57370b6d, "pci_read_config_word" },
	{ 0xbb9d38ef, "pci_write_config_word" },
	{ 0x2fd0b77c, "pci_release_resource" },
	{ 0x390c6301, "pci_assign_unassigned_bus_resources" },
	{ 0xd38635fb, "pci_resize_resource" },
	{ 0xdafb311f, "pci_ats_supported" },
	{ 0x5b29655e, "pci_set_master" },
	{ 0x6568650a, "vga_set_legacy_decoding" },
	{ 0xbe77855e, "pm_vt_switch_required" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x8d1fb04c, "pci_disable_device" },
	{ 0xb990e9d6, "filp_open" },
	{ 0x74226837, "filp_close" },
	{ 0xcbb17089, "pm_vt_switch_unregister" },
	{ 0xdf2931ab, "pci_read_config_byte" },
	{ 0x36285f9a, "pci_get_class" },
	{ 0x0a31b8b9, "pci_unregister_driver" },
	{ 0x36cf6cbd, "__pci_register_driver" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8f4f6e3f, "dma_unmap_sg_attrs" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xd6b67e69, "dma_map_sg_attrs" },
	{ 0xaa3339c7, "dma_buf_get" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xdbb2b81b, "dma_buf_put" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3591c7cd, "dma_buf_export" },
	{ 0x98c0bd9e, "dma_buf_fd" },
	{ 0xe7568670, "dma_buf_attach" },
	{ 0x053de1ec, "dma_buf_map_attachment" },
	{ 0x2cb0c448, "dma_buf_detach" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1879e95, "dma_buf_unmap_attachment" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x769cb238, "is_acpi_device_node" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0x61dc20d7, "sg_alloc_table_from_pages_segment" },
	{ 0x9493fc86, "node_states" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd1e7bd7c, "node_data" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31715de0, "dma_map_page_attrs" },
	{ 0x97a47e9b, "dma_unmap_page_attrs" },
	{ 0x324cd16b, "dma_unmap_resource" },
	{ 0x41205991, "dma_ops" },
	{ 0x4b030dd3, "dma_map_resource" },
	{ 0x41c7ea5a, "pcibios_resource_to_bus" },
	{ 0xe82d06f4, "try_module_get" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2b297a4b, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa2da8882, "i2c_add_adapter" },
	{ 0x15912d7a, "i2c_del_adapter" },
	{ 0xe97c4437, "vmf_insert_pfn_prot" },
	{ 0xc3947642, "boot_cpu_data" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x0099c31f, "__vma_start_write" },
	{ 0x1ae5038a, "vm_insert_page" },
	{ 0x67ebdb47, "remap_pfn_range" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x7385c913, "unmap_mapping_range" },
	{ 0x85981a63, "single_release" },
	{ 0xd417fbbd, "single_open" },
	{ 0x23794c2e, "__seq_puts" },
	{ 0xd0e3fe41, "seq_printf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x061651be, "strcat" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5743cf64, "seq_read" },
	{ 0x154cfea0, "proc_create_data" },
	{ 0xa8e63cb7, "proc_mkdir_mode" },
	{ 0x428c99e1, "proc_remove" },
	{ 0x7a4d7677, "seq_lseek" },
	{ 0x30ec0a8e, "dma_alloc_attrs" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0x39da6341, "numa_node" },
	{ 0x378bfff6, "__alloc_pages_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x9176617c, "dma_free_attrs" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xf2a6b475, "set_pages_array_uc" },
	{ 0x95fa7288, "set_pages_array_wb" },
	{ 0x929c43d8, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc631580a, "console_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x9166fada, "strncpy" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0x08c78cf7, "offline_and_remove_memory" },
	{ 0x01000e51, "schedule" },
	{ 0x00148653, "vsnprintf" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x839baf5e, "efi" },
	{ 0x62eec1d5, "panic" },
	{ 0x7280f612, "__free_pages" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x0df089b4, "__folio_put" },
	{ 0xaaf9a3d2, "kernel_write" },
	{ 0x7ecaced6, "kernel_read" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x0a770832, "register_memory_notifier" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x7918d817, "memory_failure" },
	{ 0xaebb6c13, "get_task_pid" },
	{ 0xd0b349e2, "put_pid" },
	{ 0x8f4d5437, "pid_vnr" },
	{ 0x272b3f76, "task_active_pid_ns" },
	{ 0xae33890d, "init_pid_ns" },
	{ 0x8373456b, "find_vma_intersection" },
	{ 0xa25978b6, "follow_pfnmap_start" },
	{ 0x1f5a5220, "follow_pfnmap_end" },
	{ 0x2a56f3df, "pin_user_pages" },
	{ 0x9c68c001, "unpin_user_page" },
	{ 0x02ff07ac, "set_page_dirty_lock" },
	{ 0x4606de0c, "pci_get_domain_bus_and_slot" },
	{ 0x9fcf77f0, "pci_dev_put" },
	{ 0x051cc0ed, "pci_read_config_dword" },
	{ 0x6e37f781, "pci_write_config_byte" },
	{ 0x477d27cf, "pci_write_config_dword" },
	{ 0xf2bed662, "pci_enable_atomic_ops_to_root" },
	{ 0x59d0ea37, "pcie_capability_read_word" },
	{ 0x2b3d1051, "pcie_reset_flr" },
	{ 0x14cc3eb1, "pci_restore_state" },
	{ 0x17e1ddab, "param_ops_int" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x3de78831, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x0c82dbf7, "vmalloc_to_page" },
	{ 0x49dd87a4, "wake_up_process" },
	{ 0xde820ab8, "kthread_stop" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xece784c2, "rb_first" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4948567c, "pci_enable_msi" },
	{ 0x885eaebd, "pci_enable_msix_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x6e4958fe, "fd_install" },
	{ 0xb6fde909, "close_fd" },
	{ 0xc3e27f89, "remove_proc_entry" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3b3700d9, "class_create" },
	{ 0x6a89091b, "device_create" },
	{ 0xdc287c03, "class_destroy" },
	{ 0x9ce2ce04, "device_destroy" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x70ed3d7a, "pci_iounmap" },
	{ 0x4b9176cb, "pci_release_regions" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x850c1a15, "pci_request_regions" },
	{ 0x66c34267, "pci_iomap" },
	{ 0x349cba85, "strchr" },
	{ 0xc2c5c749, "dev_driver_string" },
	{ 0xd3ac322f, "__dma_sync_single_for_cpu" },
	{ 0x2fc1da6b, "__dma_sync_single_for_device" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf77b8a3c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-display");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-displayC*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "1450684CFC480E1E80D3092");
